invalid results for BRP4 64 bit ARM

jeff_b
jeff_b
Joined: 29 Mar 20
Posts: 5
Credit: 29,270,301
RAC: 63,672
Topic 227186

On my cluster of Arm machines running BRP4 linux 64 bit (version 1.60) I'm getting a large amount of invalid results, which i don't seem to be getting on the computer(s) that runs the 32 bit 1.47 version.

Ive only been using the 64 bit arm BRP4 app in the last few days as it seems that FGRP5 app came to an end for 64 bit arm :-(

 

   

mikey
mikey
Joined: 22 Jan 05
Posts: 8,565
Credit: 678,065,948
RAC: 2,162,906

jeff_b wrote: On my cluster

jeff_b wrote:

On my cluster of Arm machines running BRP4 linux 64 bit (version 1.60) I'm getting a large amount of invalid results, which i don't seem to be getting on the computer(s) that runs the 32 bit 1.47 version.

Ive only been using the 64 bit arm BRP4 app in the last few days as it seems that FGRP5 app came to an end for 64 bit arm :-(

There's a whole Thread here https://einsteinathome.org/content/parallella-raspberry-pi-fpga-all-stuff about Pi stuff and you might get a better response in there. I THINK you still need the 32bit libraries installed but am not sure, that Thread should give you more answers.

Keith Myers
Keith Myers
Joined: 11 Feb 11
Posts: 2,318
Credit: 5,945,108,566
RAC: 11,871,495

jeff_b wrote: On my cluster

jeff_b wrote:

On my cluster of Arm machines running BRP4 linux 64 bit (version 1.60) I'm getting a large amount of invalid results, which i don't seem to be getting on the computer(s) that runs the 32 bit 1.47 version.

Ive only been using the 64 bit arm BRP4 app in the last few days as it seems that FGRP5 app came to an end for 64 bit arm :-( 

Yes, sad to see the app has been pulled.  Shame too as I just had added the app to my new Pi4. Only was able to crunch 3 of the FGRP5 tasks before they pulled the app.

Now only the poor paying BRP4 tasks are available.

 

mikey
mikey
Joined: 22 Jan 05
Posts: 8,565
Credit: 678,065,948
RAC: 2,162,906

Keith Myers wrote: jeff_b

Keith Myers wrote:

jeff_b wrote:

On my cluster of Arm machines running BRP4 linux 64 bit (version 1.60) I'm getting a large amount of invalid results, which i don't seem to be getting on the computer(s) that runs the 32 bit 1.47 version.

Ive only been using the 64 bit arm BRP4 app in the last few days as it seems that FGRP5 app came to an end for 64 bit arm :-( 

Yes, sad to see the app has been pulled.  Shame too as I just had added the app to my new Pi4. Only was able to crunch 3 of the FGRP5 tasks before they pulled the app.

Now only the poor paying BRP4 tasks are available. 

Do any other Projects have tasks for the Pi?

Keith Myers
Keith Myers
Joined: 11 Feb 11
Posts: 2,318
Credit: 5,945,108,566
RAC: 11,871,495

I also do Universe, TN-Grid,

I also do Universe, TN-Grid, World Community Grid and yoyo.

Only the BRP tasks are available now at Einstein.

You have to install the 32 bit libraries on an ARM64 architecture to do the Universe tasks.

You have a few sub-projects at yoyo that are supported.

TN-Grid has both 32 bit and 64 bit applications.

 

mikey
mikey
Joined: 22 Jan 05
Posts: 8,565
Credit: 678,065,948
RAC: 2,162,906

Keith Myers wrote:I also do

Keith Myers wrote:

I also do Universe, TN-Grid, World Community Grid and yoyo.

Only the BRP tasks are available now at Einstein.

You have to install the 32 bit libraries on an ARM64 architecture to do the Universe tasks.

You have a few sub-projects at yoyo that are supported.

TN-Grid has both 32 bit and 64 bit applications.

Thanks, I prefer the Einstein tasks but need to branch out a little bit.

Keith Myers
Keith Myers
Joined: 11 Feb 11
Posts: 2,318
Credit: 5,945,108,566
RAC: 11,871,495

I got a PM reply from Bernd

I got a PM reply from Bernd as to why the FGRP5 app was pulled.  They are running out of good candidates for that data but have new and exciting Arecibo data from the BRP4 campaign and so are shifting resources back to BRP4. Also some Pi didn't have enough memory to process the FGRP5 tasks correctly

That is why there is a new BRP4 1.60 application this month.

 

mikey
mikey
Joined: 22 Jan 05
Posts: 8,565
Credit: 678,065,948
RAC: 2,162,906

Keith Myers wrote: I got a

Keith Myers wrote:

I got a PM reply from Bernd as to why the FGRP5 app was pulled.  They are running out of good candidates for that data but have new and exciting Arecibo data from the BRP4 campaign and so are shifting resources back to BRP4. Also some Pi didn't have enough memory to process the FGRP5 tasks correctly

That is why there is a new BRP4 1.60 application this month. 

I'm very surprised they haven't come up with a way to filter sending tasks to devices with at least x amount of ram on them yet, whether it's 4gb for some of the gpu tasks or those Pi tasks.

mikey
mikey
Joined: 22 Jan 05
Posts: 8,565
Credit: 678,065,948
RAC: 2,162,906

Keith Myers wrote: I also do

Keith Myers wrote:

I also do Universe, TN-Grid, World Community Grid and yoyo.

Only the BRP tasks are available now at Einstein.

You have to install the 32 bit libraries on an ARM64 architecture to do the Universe tasks.

You have a few sub-projects at yoyo that are supported.

TN-Grid has both 32 bit and 64 bit applications. 

This News came out of SiDock this week:

"Due to the community request, we also plan to add official Mac and ARM64 support for the underlying CmDock software". https://www.sidock.si/sidock/forum_thread.php?id=195#1570

jeff_b
jeff_b
Joined: 29 Mar 20
Posts: 5
Credit: 29,270,301
RAC: 63,672

Glad to see that my

Glad to see that my arm64's are not reporting anymore BRP4 invalids. 

Bernd Machenschalk
Bernd Machenschalk
Moderator
Administrator
Joined: 15 Oct 04
Posts: 4,054
Credit: 225,466,204
RAC: 26,885

We adjusted the validator to

We adjusted the validator to allow somewhat larger tolerances, which should help validation.

Also there's a new BRP4 app version 1.61 for ARM64 (Beta test). Looks like it's 15% faster and should have a better validation rate. Have a try!

BM

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.